# Uses of Class
org.apache.commons.math3.geometry.euclidean.twod.Vector2D

Packages that use Vector2D
Package
Description
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.
org.apache.commons.math3.geometry.euclidean.twod.hull
This package provides algorithms to generate the convex hull for a set of points in an two-dimensional euclidean space.
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.

## Uses of Vector2D in org.apache.commons.math3.geometry.euclidean.threed

Methods in org.apache.commons.math3.geometry.euclidean.threed that return Vector2D
Modifier and Type
Method
Description
`Vector2D[][]`
OutlineExtractor.`getOutline(PolyhedronsSet polyhedronsSet)`
Extract the outline of a polyhedrons set.
`Vector2D`
Plane.`toSubSpace(Point<Euclidean3D> point)`
Transform a 3D space point into an in-plane point.
`Vector2D`
Plane.`toSubSpace(Vector<Euclidean3D> vector)`
Transform a space point into a sub-space point.
Methods in org.apache.commons.math3.geometry.euclidean.threed with parameters of type Vector2D
Modifier and Type
Method
Description
`Vector3D`
Plane.`getPointAt(Vector2D inPlane, double offset)`
Get one point from the 3D-space.

## Uses of Vector2D in org.apache.commons.math3.geometry.euclidean.twod

Fields in org.apache.commons.math3.geometry.euclidean.twod declared as Vector2D
Modifier and Type
Field
Description
`static final Vector2D`
Vector2D.`NaN`
A vector with all coordinates set to NaN.
`static final Vector2D`
Vector2D.`NEGATIVE_INFINITY`
A vector with all coordinates set to negative infinity.
`static final Vector2D`
Vector2D.`POSITIVE_INFINITY`
A vector with all coordinates set to positive infinity.
`static final Vector2D`
Vector2D.`ZERO`
Origin (coordinates: 0, 0).
Methods in org.apache.commons.math3.geometry.euclidean.twod that return Vector2D
Modifier and Type
Method
Description
`Vector2D`
Vector2D.`add(double factor, Vector<Euclidean2D> v)`
Add a scaled vector to the instance.
`Vector2D`
Vector2D.`add(Vector<Euclidean2D> v)`
Add a vector to the instance.
`Vector2D`
Segment.`getEnd()`
Get the end point of the segment.
`Vector2D`
Line.`getPointAt(Vector1D abscissa, double offset)`
Get one point from the plane.
`Vector2D`
Segment.`getStart()`
Get the start point of the segment.
`Vector2D[][]`
PolygonsSet.`getVertices()`
Get the vertices of the polygon.
`Vector2D`
Vector2D.`getZero()`
Get the null vector of the vectorial space or origin point of the affine space.
`Vector2D`
Line.`intersection(Line other)`
Get the intersection point of the instance and another line.
`Vector2D`
SubLine.`intersection(SubLine subLine, boolean includeEndPoints)`
Get the intersection of the instance and another sub-line.
`Vector2D`
Vector2D.`negate()`
Get the opposite of the instance.
`Vector2D`
Vector2D.`normalize()`
Get a normalized vector aligned with the instance.
`Vector2D`
Vector2DFormat.`parse(String source)`
Parses a string to produce a `Vector` object.
`Vector2D`
Vector2DFormat.`parse(String source, ParsePosition pos)`
Parses a string to produce a `Vector` object.
`Vector2D`
Vector2D.`scalarMultiply(double a)`
Multiply the instance by a scalar.
`Vector2D`
Vector2D.`subtract(double factor, Vector<Euclidean2D> v)`
Subtract a scaled vector from the instance.
`Vector2D`
Vector2D.`subtract(Vector<Euclidean2D> p)`
Subtract a vector from the instance.
`Vector2D`
Line.`toSpace(Point<Euclidean1D> point)`
Transform a sub-space point into a space point.
`Vector2D`
Line.`toSpace(Vector<Euclidean1D> vector)`
Transform a sub-space point into a space point.
Methods in org.apache.commons.math3.geometry.euclidean.twod that return types with arguments of type Vector2D
Modifier and Type
Method
Description
`EnclosingBall<Euclidean2D,Vector2D>`
DiskGenerator.`ballOnSupport(List<Vector2D> support)`
Create a ball whose boundary lies on prescribed support points.
Methods in org.apache.commons.math3.geometry.euclidean.twod with parameters of type Vector2D
Modifier and Type
Method
Description
`static double`
Vector2D.`angle(Vector2D v1, Vector2D v2)`
Compute the angular separation between two vectors.
`boolean`
Line.`contains(Vector2D p)`
Check if the line contains a point.
`double`
Vector2D.`crossProduct(Vector2D p1, Vector2D p2)`
Compute the cross-product of the instance and the given points.
`double`
Line.`distance(Vector2D p)`
Compute the distance between the instance and a point.
`double`
Segment.`distance(Vector2D p)`
Calculates the shortest distance from a point to this line segment.
`static double`
Vector2D.`distance(Vector2D p1, Vector2D p2)`
Compute the distance between two vectors according to the L2 norm.
`static double`
Vector2D.`distanceInf(Vector2D p1, Vector2D p2)`
Compute the distance between two vectors according to the L∞ norm.
`static double`
Vector2D.`distanceSq(Vector2D p1, Vector2D p2)`
Compute the square of the distance between two vectors.
`void`
Line.`reset(Vector2D p, double alpha)`
Reset the instance as if built from a line and an angle.
`void`
Line.`reset(Vector2D p1, Vector2D p2)`
Reset the instance as if built from two points.
`void`
Line.`translateToPoint(Vector2D p)`
Translate the line to force it passing by a point.
Method parameters in org.apache.commons.math3.geometry.euclidean.twod with type arguments of type Vector2D
Modifier and Type
Method
Description
`EnclosingBall<Euclidean2D,Vector2D>`
DiskGenerator.`ballOnSupport(List<Vector2D> support)`
Create a ball whose boundary lies on prescribed support points.
Constructors in org.apache.commons.math3.geometry.euclidean.twod with parameters of type Vector2D
Modifier
Constructor
Description
``
`Line(Vector2D p, double angle)`
Deprecated.
as of 3.3, replaced with `Line(Vector2D, double, double)`
``
`Line(Vector2D p, double angle, double tolerance)`
Build a line from a point and an angle.
``
`Line(Vector2D p1, Vector2D p2)`
Deprecated.
as of 3.3, replaced with `Line(Vector2D, Vector2D, double)`
``
`Line(Vector2D p1, Vector2D p2, double tolerance)`
Build a line from two points.
``
`PolygonsSet(double hyperplaneThickness, Vector2D... vertices)`
Build a polygon from a simple list of vertices.
``
`Segment(Vector2D start, Vector2D end, Line line)`
Build a segment.
``
`SubLine(Vector2D start, Vector2D end)`
Deprecated.
as of 3.3, replaced with `SubLine(Vector2D, Vector2D, double)`
``
`SubLine(Vector2D start, Vector2D end, double tolerance)`
Create a sub-line from two endpoints.
``
`Vector2D(double a, Vector2D u)`
Multiplicative constructor Build a vector from another one and a scale factor.
``
`Vector2D(double a1, Vector2D u1, double a2, Vector2D u2)`
Linear constructor Build a vector from two other ones and corresponding scale factors.
``
`Vector2D(double a1, Vector2D u1, double a2, Vector2D u2, double a3, Vector2D u3)`
Linear constructor Build a vector from three other ones and corresponding scale factors.
``
`Vector2D(double a1, Vector2D u1, double a2, Vector2D u2, double a3, Vector2D u3, double a4, Vector2D u4)`
Linear constructor Build a vector from four other ones and corresponding scale factors.

## Uses of Vector2D in org.apache.commons.math3.geometry.euclidean.twod.hull

Methods in org.apache.commons.math3.geometry.euclidean.twod.hull that return Vector2D
Modifier and Type
Method
Description
`Vector2D[]`
ConvexHull2D.`getVertices()`
Get the vertices of the convex hull.
Methods in org.apache.commons.math3.geometry.euclidean.twod.hull that return types with arguments of type Vector2D
Modifier and Type
Method
Description
`Collection<Vector2D>`
MonotoneChain.`findHullVertices(Collection<Vector2D> points)`
Find the convex hull vertices from the set of input points.
`static Collection<Vector2D>`
AklToussaintHeuristic.`reducePoints(Collection<Vector2D> points)`
Returns a point set that is reduced by all points for which it is safe to assume that they are not part of the convex hull.
Method parameters in org.apache.commons.math3.geometry.euclidean.twod.hull with type arguments of type Vector2D
Modifier and Type
Method
Description
`Collection<Vector2D>`
MonotoneChain.`findHullVertices(Collection<Vector2D> points)`
Find the convex hull vertices from the set of input points.
`ConvexHull2D`
ConvexHullGenerator2D.`generate(Collection<Vector2D> points)`
Builds the convex hull from the set of input points.
`static Collection<Vector2D>`
AklToussaintHeuristic.`reducePoints(Collection<Vector2D> points)`
Returns a point set that is reduced by all points for which it is safe to assume that they are not part of the convex hull.
Constructors in org.apache.commons.math3.geometry.euclidean.twod.hull with parameters of type Vector2D
Modifier
Constructor
Description
``
`ConvexHull2D(Vector2D[] vertices, double tolerance)`
Simple constructor.

## Uses of Vector2D in org.apache.commons.math3.geometry.spherical.oned

Methods in org.apache.commons.math3.geometry.spherical.oned that return Vector2D
Modifier and Type
Method
Description
`Vector2D`
S1Point.`getVector()`
Get the corresponding normalized vector in the 2D euclidean space.